
QGIS Application - Bug report #10512

Wrong size of simple marker in point pattern fill (with data defined properties)

2014-06-09 08:20 AM - zicke -

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 18922

Description

Sorry for the long title...

I'm using the following expression to change the size of a simple marker according to the map scale:

CASE WHEN $scale < 750 THEN 0.42 ELSE 4 END

This works for a simple point layer. When using this with "point pattern fill" style for polygon it does not work. The simple marker does not

change its size.

Associated revisions

Revision 7b9fc8f1 - 2014-06-09 08:25 PM - Martin Dobias

Fix #10512 (missing propagation of fields/scale to sub-symbols)

History

#1 - 2014-06-09 08:42 AM - zicke -

- OS version set to 12.04

- Operating System set to Ubuntu

#2 - 2014-06-09 08:43 AM - Giovanni Manghi

- OS version deleted (12.04)

- Operating System deleted (Ubuntu)

I confirm also on Windows.

#3 - 2014-06-09 08:54 AM - zicke -

Similar strange things happen with SVG markers instead of Simple markers in point pattern fills. The size of the SVG markers are changing only by

panning and not by zooming. My expression:

CASE 

WHEN $scale < 750 THEN 5.6 

WHEN $scale >= 750 AND $scale < 1250 THEN 4 

WHEN $scale >= 1250 AND $scale < 3000 THEN 2.8 

WHEN $scale >= 3000 THEN 2 

2024-04-23 1/2



END

#4 - 2014-06-09 11:28 AM - Martin Dobias

- Status changed from Open to Closed

Fixed in changeset commit:"7b9fc8f11f98cbea65f187b9310a495aba59b843".

#5 - 2014-06-10 02:15 AM - zicke -

- Status changed from Closed to Reopened

Thanks for fixing this. The second issue (changing size of svg markers only by panning) still arises from time to time. Should I open a new ticket.

Can I debug the scale that the renderer is using?

#6 - 2014-06-10 02:38 AM - Martin Dobias

- Status changed from Reopened to Closed

Yes please open a new ticket and attach a test project.
